Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 673250 - app-backup/btrbk - default configuration requires sys-block/mbuffer
Summary: app-backup/btrbk - default configuration requires sys-block/mbuffer
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Craig Andrews
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-16 17:41 UTC by Andrius Štikonas
Modified: 2019-10-27 19:05 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrius Štikonas 2018-12-16 17:41:11 UTC
At least version 0.27 needs mbuffer. My backup fails because it is missing.

Can also see in the source that mbuffer is used:

  stream_buffer               => { default => undef,     accept => [ "no" ], accept_regexp => qr/^[0-9]+[kmgKMG%]?$/ },  # NOTE: requires 'mbuffer' command on target

Reproducible: Always
Comment 1 Jeroen Roovers gentoo-dev 2018-12-16 20:09:38 UTC
The configuration example says this is invalid:

btrbk.conf.example:

# Enable stream buffer. Adding a buffer between the sending and
# receiving side is generally a good idea.
# NOTE: If enabled, make sure the "mbuffer" package is installed on
# the target host!
stream_buffer              512m

If you don't configure it to use mbuffer, then you do not need mbuffer installed. If you do configure it to use mbuffer, then you don't need mbuffer on the client.

So maybe there is a bug here, which is that the default configuration enables an option which requires external software (on another host, perhaps). The option that requires mbuffer and is enabled by default is probably only there to boost performance "out of the box". Perhaps a bit of advice about first configuring the package properly is in place? It's kind of obvious, though.
Comment 2 Andrius Štikonas 2018-12-16 20:30:35 UTC
(In reply to Jeroen Roovers from comment #1)
> The configuration example says this is invalid:
> 
> btrbk.conf.example:
> 
> # Enable stream buffer. Adding a buffer between the sending and
> # receiving side is generally a good idea.
> # NOTE: If enabled, make sure the "mbuffer" package is installed on
> # the target host!
> stream_buffer              512m
> 
> If you don't configure it to use mbuffer, then you do not need mbuffer
> installed. If you do configure it to use mbuffer, then you don't need
> mbuffer on the client.
> 
> So maybe there is a bug here, which is that the default configuration
> enables an option which requires external software (on another host,
> perhaps). The option that requires mbuffer and is enabled by default is
> probably only there to boost performance "out of the box". Perhaps a bit of
> advice about first configuring the package properly is in place? It's kind
> of obvious, though.

Hmm, indeed, mbuffer might not be required on the client. My target was on the same machine...
Comment 3 Hans Fernhout 2019-07-21 17:51:02 UTC
If sys-block/mbuffer was also available for the same arches as app-backup/btrbk then if might have been a good idea to make sys-block/mbuffer an optional dependency activated via a USE flag. Unfortunately mbuffer is available for amd64, x86, and ppc, whereas btrbk is available for amd64, x86 and arm.
Comment 4 Larry the Git Cow gentoo-dev 2019-10-27 19:05:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb2a8bb6dbb89756af03f14719e451173370c643

commit bb2a8bb6dbb89756af03f14719e451173370c643
Author:     Craig Andrews <candrews@gentoo.org>
AuthorDate: 2019-10-27 19:04:08 +0000
Commit:     Craig Andrews <candrews@gentoo.org>
CommitDate: 2019-10-27 19:05:29 +0000

    app-backup/btrbk: 0.29.0 version bump
    
    Drop dependency on sys-apps/pv
    Add dependency on sys-block/mbuffer
    
    See: https://github.com/digint/btrbk/releases/tag/v0.29.0
    Closes: https://bugs.gentoo.org/673250
    Package-Manager: Portage-2.3.78, Repoman-2.3.17
    Signed-off-by: Craig Andrews <candrews@gentoo.org>

 app-backup/btrbk/Manifest            |  1 +
 app-backup/btrbk/btrbk-0.29.0.ebuild | 77 ++++++++++++++++++++++++++++++++++++
 app-backup/btrbk/btrbk-9999.ebuild   |  4 +-
 3 files changed, 80 insertions(+), 2 deletions(-)